```@meta
CurrentModule = REDCap
```
# REDCap
```@contents
Pages = ["index.md", "export.md", "import.md", "delete.md", "utils.md", "examples.md"]
```

## Overview

A Julia frontend for the REDCap API. REDCap.jl supports both importing and exporting records, as well as deletion from the REDCap Database. It also includes functions for surveys and report generation.

This package is meant to be a straightforward wrapper for the REDCap API, and assumes familiarity with REDCap. Knowledge of the data expected by the instruments you are working in is required, as this package makes few assumptions on incoming data. Accessing a REDCap project is also entirely dependant on a correctly set-up Config object, so ensure the Config is properly set-up before automating anything in a project.


## Index

```@index
```
